#include <iostream>


using namespace std;

int main()
{
    string elso,masodik,vegso;
    int szamlalo=0;
    cin>>elso>>masodik;
    if(elso.length()>=masodik.length())
    {
        if(elso.length()>masodik.length())
        {
            for(int i=0;i<(elso.length()-masodik.length()+1);i++)
            {
                masodik="/"+masodik;
               // cout<<masodik;
            }
        }
        for(int i=0;i<elso.length();i++)
        {
            if(elso[i]>masodik[i])
            {
                szamlalo++;
                vegso[i]=elso[i];
            }
            else if(masodik[i]>elso[i])
            {
                szamlalo++;
                 vegso[i]=masodik[i];
            }
            else
            {
                szamlalo+=2;
                vegso[i]=masodik[i];
                vegso[i+1]=elso[i];

            }
        }
    }
    else
    {
        if(masodik.length()>elso.length())
        {
            for(int i=0;i<(masodik.length()-elso.length()+1);i++)
            {
                elso="/"+elso;
               // cout<<elso<<endl;
            }
        }
        for(int i=0;i<masodik.length();i++)
        {

            if(elso[i]>masodik[i])
            {
                szamlalo++;
                vegso[i]=elso[i];
            }
            else if(masodik[i]>elso[i])
            {
                szamlalo++;
                 vegso[i]=masodik[i];
            }

            else
            {
                szamlalo+=2;
                vegso[i]=masodik[i];
                vegso[i+1]=elso[i];
                i++;
            }
        }
    }
    for(int i=0;i<szamlalo;i++)
    {
        cout<<vegso[i];
    }
    return 0;
}